These docs are for v1.0. Click to read the latest docs for v3-prod.

Get Available Times

Choose your search criteria carefully. Availability is an expensive call. If you search availability for all resources, you should only do so for a single date. If you search availability for multiple dates, you should only do so for a specific resource by specifying the optional resourceId parameter.

A serviceId is required. The startDate and endDate are required and are formatted as: YYYY-MM-DD

A resourceId is optional, it is recommended if known at the time of availability call.

timezoneName is optional, it allows you to specify the IANA formatted name for the end user's timezone to view availability. e.g., America/New_York. NOTE: This is the recommended approach for your implementation. The "tzOffset" parameter remains for backward compatibility. For JavaScript, use moment.js in your client for ease of timezone detection and selection. For iOS, use the name property of the NSTimeZone returned from the localTimeZone method. For .NET, consider NodaTime or TimeZoneConverter via NuGet.

duration should only be populated if you allow the end user to select a duration, otherwise the service's duration will be used.

startTime and endTime are optional and are specified in military time e.g., 800 = 8:00am, 2230 = 10:30pm. Note: You will only see availability within the boundary of your business location start and end times.

dayAvailability will return day level availability for the number of days requested from the start date. See GET /consumer/v1/availability/{serviceId}/{startDate}/{endDate}/days for details.

firstDayAvailable only works with day availability. If set to true it will look for the first day available within the range specified by the dayAvailability parameter. The two parameters together can be a clever way to display availability for a week or month. Tip - pass in the beginning of the week or month, and available times are displayed for the first available date if exists.

tzOffset allows you to pass in the timezone offset for the end user's timezone of choice, e.g., (-240) for EST. If you use this option, your application should be timezone aware. The requested timezone is specified as an offset (plus or minus) from GMT time.

Availability can be complex. For further troubleshooting refer to the: GET /consumer/v1/availability/{serviceId}/{startDate}/{endDate}/unavailable endpoint. This endpoint will show you all unavailable times for a given date range. Available times are created from any unblocked time periods. For more information: Availability Overview

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Service Id for availability search

date-time
required

Format YYYY-MM-DD: Start Date for availability search

date-time
required

Format YYYY-MM-DD: End Date for availability search

Query Params
int32

Format Military Time Start Time for availability search. Defaults to Business Hours Start

int32

Format Military Time. End Time for availability search. Defaults to Business Hours End

string

Id of business location, defaults to primary business location

string

Resource Id for availability search

string

Resource Group Id for availability search

string

Comma separated Resource Id's for availability search

string

Round robin choice 0=none, 1=random, 2=balanced

int32

Duration of the service if different from default

int32

Booking Interval if different than the default

string

Requested IANA timezone Id to view availability

int32

Request timezone offset to view availability

string

For calculating travel based availability, requires distance scope

date-time

Format YYYY-DD-YY: Start date for day availability, defaults to startDate

int32

Number of days of day availability to return

boolean

Return available times for the first available day

Response

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json